<?php
/*
Plugin Name: Beschlussvorlage
Plugin URI: http://www.piraten-thueringen.de/
Description: Uebersetzt die Beschlussvorlage12 vom Wiki in Wordpress
Version: 1.1
Author: Philipp Lehmann
Author URI: https://twitter.com/yetiphil
License: CC-BY
*/


// Short-Code definieren
function Vorstandsbeschluss12_function($atts, $content = null){
extract(shortcode_atts( array('thema' => 'Standard-Titel','beschlussnummer' => '001', 'beschlussart' => 'Sitzung', 'datum' => '01.01.2012', 'antragssteller' => 'Derp Derpson', 'redmine' => '', 'antragstext' => 'Antragstext', 'beschlussergebnis' => '', 'vst1' => '','vst2' => '','vst3' => '','vst4' => '','vst5' => '', 'vst6' => '', 'vst7' => '', 'vst8' => '', 'vst1s' => 'Test','vst2s' => '','vst3s' => '','vst4s' => '','vst5s' => '', 'vst6s' => '', 'vst7s' => '', 'vst8s' => '',  'vst1k' => '','vst2k' => '','vst3k' => '','vst4k' => '','vst5k' => '', 'vst6k' => '', 'vst7k' => '', 'vst8k' => '', 'kommentar' => '' ), $atts));

// Beschlussstatus visualisieren

if ($beschlussergebnis == "E") {
    $ergebnis = "<img src=\"http://vorstand.piraten-thueringen.de/wp-content/uploads/2012/07/Pictogram_voting_neutral.png\" height=\"110px\" width=\"110px\">";
} elseif ($beschlussergebnis == "J") {
    $ergebnis = "<img src=\"http://vorstand.piraten-thueringen.de/wp-content/uploads/2012/07/Pictogram_voting_keep-light-green.png\" height=\"110px\" width=\"110px\">";
} elseif ($beschlussergebnis == "N") {
    $ergebnis = "<img src=\"http://vorstand.piraten-thueringen.de/wp-content/uploads/2012/07/Pictogram_voting_delete.png\" height=\"110px\" width=\"110px\">";
} else {
    $ergebnis = "<img src=\"http://vorstand.piraten-thueringen.de/wp-content/uploads/2012/07/Pictogram_voting_wait_blue.png\" height=\"110px\" width=\"110px\">";
}

// Abstimmungsverhalten visualisieren

for ($i = 1; $i <= 8; $i++) {
if (${'vst'.$i.'s'} == "E") {
    ${'einzelergebnis'.$i} = "<img src=\"http://vorstand.piraten-thueringen.de/wp-content/uploads/2012/07/Pictogram_voting_neutral.png\" height=\"18px\" width=\"18px\">";
} elseif (${'vst'.$i.'s'} == "J") {
    ${'einzelergebnis'.$i} = "<img src=\"http://vorstand.piraten-thueringen.de/wp-content/uploads/2012/07/Pictogram_voting_keep-light-green.png\" height=\"18px\" width=\"18px\">";
} elseif (${'vst'.$i.'s'} == "N") {
    ${'einzelergebnis'.$i} = "<img src=\"http://vorstand.piraten-thueringen.de/wp-content/uploads/2012/07/Pictogram_voting_delete.png\" height=\"18px\" width=\"18px\">";
} else {
    ${'einzelergebnis'.$i} = "<img src=\"http://vorstand.piraten-thueringen.de/wp-content/uploads/2012/07/Pictogram_voting_wait_blue.png\" height=\"18px\" width=\"18px\">";
}
}

// Einzelabstimmung zusammensetzen

for ($j = 1; $j <= 8; $j++) {

// anwesend?
if (${'vst'.$j} == "") {
${'stimme'.$j} = '';
} else {

//Kommentar?
if (${'vst'.$j.'k'} == "") {
${'stimme'.$j} = '<td>' .${'vst'.$j}. '</td><td>' .${'einzelergebnis'.$j}. '</td>';
} else {
${'stimme'.$j} = '<td>' .${'vst'.$j}. '</td><td>' .${'einzelergebnis'.$j}. '</td><td> <em>Kommentar: '.${'vst'.$j.'k'}.'</em></td>';
}

}

}


// Einzelabstimmungen auflisten
for ($k = 1; $k <= 8; $k++) {

if (${'stimme'.$k} == "") {

} else {

$voting = ''.$voting.'<tr>'.${'stimme'.$k}.'</tr>';

}
}

// Redmine?

if ($redmine == "") {
$redminelink = '';
} else {
$redminelink = '<b>Redmine-Link:</b></br><a href="' .$redmine. '">' .$redmine. '</a></br>';
}

//Beschluss rendern

	$build_beschluss = '
		<h3><span class="mw-headline">Beschluss '. $beschlussnummer . ': ' . $thema . '</span></h3>

<!-- Design festlegen -->


	<div style="width:89%; background:#f7f7f7;border:2px solid #ccc;-moz-border-radius-topright:23px;-webkit-border-top-right-radius:23px;border-top-right-radius:23px;-moz-border-radius-topleft:23px;-webkit-border-top-left-radius:23px;border-top-left-radius:23px;-moz-border-radius-bottomleft:23px;-webkit-border-bottom-left-radius:23px;border-bottom-left-radius:23px;-moz-border-radius-bottomright:23px;-webkit-border-bottom-right-radius:23px;border-bottom-right-radius:23px;-moz-box-shadow: 5px 5px 9px #999;-webkit-box-shadow: 5px 5px 9px #999;box-shadow: 5px 5px 9px #999; padding:15px 10px 10px 20px; margin: 10px;">

<!-- Start Inhalt -->

<div style="float:right; width:110px; height:110px; padding:10px;">

' .$ergebnis. '

</div>

<div style="float: right; margin-right:2%;">
<b>Beantragt am:</b></br> ' .$datum. '
</div>

<b>Beschlussart:</b></br>  ' .$beschlussart. '</br>
<b>Antragssteller:</b></br>  ' .$antragssteller. '</br>

'
.$redminelink.
'
<b>Antragstext:</b></br>  ' .$antragstext. '</br>
<b>Einzelstimmen:</b> </br>
<table> 
'.$voting.'
</table>

<b>Kommentar:</b></br>  ' .$kommentar. '</br>

</div>';

	return $build_beschluss;
}
 
// Short-Code in Wordpress aktivieren
	add_shortcode("Vorstandsbeschluss12", "Vorstandsbeschluss12_function");
	
?>